all repos — dotfiles @ 9e8e6d1579116e96c5f05e9a76dab8bebbd16b97

linux dotfiles

scripts: ffmpeg screen recorder with area selection
Prithu Goswami pg@prithu.dev
Tue, 23 Apr 2024 14:06:03 +0530
commit

9e8e6d1579116e96c5f05e9a76dab8bebbd16b97

parent

be8f87e11bf53cdbf6c8cacb43e613618586b6e7

1 files changed, 6 insertions(+), 0 deletions(-)

jump to
A bin/scripts/record-screen-area

@@ -0,0 +1,6 @@

+#!/bin/bash + +sleep 1 +slop=$(slop -f "%x %y %w %h %g %i") || exit 1 +read -r X Y W H G ID <<< $slop +sleep 2; ffmpeg -f x11grab -video_size "$W"x"$H" -i :0.0+$X,$Y -f alsa -i default ~/videos/rec`date +%s`.mp4